View Issue Details

IDProjectCategoryView StatusLast Update
0001048Xdebugpublic2014-05-20 00:00
ReporterSvetlanaZem Assigned Toderick  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.1 
Fixed in Version2.2.6 
Summary0001048: Can not get $GLOBAL variable by property_value on function context
DescriptionWhile debugging code:
<?php

function foo() {
    $GLOBALS['CACHE'] = str_pad('', 1024, 'l') . 'k';
    xdebug_break(); // 1
    echo 1;
}

foo();
xdebug_break(); // 2
echo 1;

property_value -n $GLOBAL['CACHE'] is available only in global context (xdebug_break(); // 2). The command will be responced by "can not get property" if it was called from function (xdebug_break(); // 1).

Log file is attached.
TagsNo tags attached.
Operating System
PHP Version5.4.10-5.4.14

Activities

SvetlanaZem

2014-04-14 14:22

reporter  

global_value_xdebug.log (43,619 bytes)   
Log opened at 2014-04-14 14:00:19
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" language="PHP" protocol_version="1.0" appid="24761" idekey="18613"><engine version="2.2.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2012 by Derick Rethans]]></copyright></init>

<- feature_set -i 0 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="0" feature="show_hidden" success="1"></response>

<- feature_set -i 1 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="max_depth" success="1"></response>

<- feature_set -i 2 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_children" success="1"></response>

<- status -i 3
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="3" status="starting" reason="ok"></response>

<- step_into -i 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="4" status="break" reason="ok"><xdebug:message filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="3"></xdebug:message></response>

<- breakpoint_set -i 5 -t line -f file:///home/svetlana/PhpstormProjects/debug/property_value/2.php -n 10
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="5" id="247610001"></response>

<- breakpoint_set -i 6 -t line -f file:///home/svetlana/PhpstormProjects/debug/property_value/3.php -n 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="6" id="247610002"></response>

<- breakpoint_set -i 7 -t exception -x Warning
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="7" id="247610003"></response>

<- stack_get -i 8
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="8"><stack where="{main}" level="0" type="file" filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="3"></stack></response>

<- run -i 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="9" status="break" reason="ok"><xdebug:message filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="6"></xdebug:message></response>

<- stack_get -i 10
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="10"><stack where="foo" level="0" type="file" filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="6"></stack><stack where="{main}" level="1" type="file" filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="9"></stack></response>

<- context_names -i 11 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="11"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 12 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="12" context="0"></response>

<- context_get -i 13 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="13" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="140731198845896" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" address="140731198847016" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="140731198846120" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="140731198844920" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="140731198845672" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="140731198847240" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="140731198847464" type="array" children="1" numchildren="60" page="0" pagesize="100"><property name="TERM" fullname="$_SERVER[&#39;TERM&#39;]" address="140731198847632" type="string" size="5" encoding="base64"><![CDATA[eHRlcm0=]]></property><property name="XDG_SESSION_PATH" fullname="$_SERVER[&#39;XDG_SESSION_PATH&#39;]" address="140731198847920" type="string" size="40" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZXNzaW9uMA==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&#39;SSH_AGENT_PID&#39;]" address="140731198848112" type="string" size="4" encoding="base64"><![CDATA[MTUzMQ==]]></property><property name="LESSCLOSE" fullname="$_SERVER[&#39;LESSCLOSE&#39;]" address="140731198848304" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" address="140731198848544" type="string" size="69" encoding="base64"><![CDATA[bG9jYWwvVU5JVC00NjM6QC90bXAvLklDRS11bml4LzE0OTcsdW5peC9VTklULTQ2MzovdG1wLy5JQ0UtdW5peC8xNDk3]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" address="140731198848736" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" address="140731198848960" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="XDG_SESSION_COOKIE" fullname="$_SERVER[&#39;XDG_SESSION_COOKIE&#39;]" address="140731198849192" type="string" size="60" encoding="base64"><![CDATA[NDQ2MDZjYzA1YTQ1N2U5ZmNmZTM2NjYwMDAwMDA0NWMtMTM5NzEwOTQwNy4zOTI2ODItMzU4MTQ0NDI4]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" address="140731198849384" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtY2xhc3NpYw==]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" address="140731198849744" type="string" size="45" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS1jbGFzc2ljLm1hbmRhdG9yeS5wYXRo]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" address="140731198849952" type="string" size="39" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvaWRlYS9pZGVhLUlVLTEzNC45OTIvYmlu]]></property><property name="PHP_ENVS" fullname="$_SERVER[&#39;PHP_ENVS&#39;]" address="140731198850128" type="string" size="8" encoding="base64"><![CDATA[L3Vzci9iaW4=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" address="140731198850328" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="140731198850592" type="string" size="96" encoding="base64"><![CDATA[L3Vzci9saWIvbGlnaHRkbS9saWdodGRtOi91c3IvbG9jYWwvc2JpbjovdXNyL2xvY2FsL2JpbjovdXNyL3NiaW46L3Vzci9iaW46L3NiaW46L2JpbjovdXNyL2dhbWVz]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" address="140731198850768" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" address="140731198850984" type="string" size="35" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lLWNsYXNzaWM6L2V0Yy94ZGc=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" address="140731198851168" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE4NjEz]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" address="140731198851640" type="string" size="26" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvLlhhdXRob3JpdHk=]]></property><property name="XDG_SEAT_PATH" fullname="$_SERVER[&#39;XDG_SEAT_PATH&#39;]" address="140731198851848" type="string" size="37" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZWF0MA==]]></property><property name="USERNAME" fullname="$_SERVER[&#39;USERNAME&#39;]" address="140731198852032" type="string" size="8" encoding="base64"><![CDATA[c3ZldGxhbmE=]]></property><property name="LC_COLLATE" fullname="$_SERVER[&#39;LC_COLLATE&#39;]" address="140731198852216" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PHP_ENV_XDEBUG" fullname="$_SERVER[&#39;PHP_ENV_XDEBUG&#39;]" address="140731198852400" type="string" size="14" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9iaW4=]]></property><property name="GTK_MODULES" fullname="$_SERVER[&#39;GTK_MODULES&#39;]" address="140731198852608" type="string" size="39" encoding="base64"><![CDATA[Y2FuYmVycmEtZ3RrLW1vZHVsZTpjYW5iZXJyYS1ndGstbW9kdWxl]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" address="140731198852800" type="string" size="19" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLVFyQUFqYg==]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" address="140731198852992" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" address="140731198853184" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="COLORTERM" fullname="$_SERVER[&#39;COLORTERM&#39;]" address="140731198853368" type="string" size="14" encoding="base64"><![CDATA[Z25vbWUtdGVybWluYWw=]]></property><property name="LC_MESSAGES" fullname="$_SERVER[&#39;LC_MESSAGES&#39;]" address="140731198853552" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" address="140731198853792" type="string" size="71" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZS1jbGFzc2ljOi91c3Ivc2hhcmUvZ25vbWU6L3Vzci9sb2NhbC9zaGFyZS86L3Vzci9zaGFyZS8=]]></property><property name="PHP_ENV_ZEND" fullname="$_SERVER[&#39;PHP_ENV_ZEND&#39;]" address="140731198853976" type="string" size="8" encoding="base64"><![CDATA[L3Vzci9iaW4=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" address="140731198854160" type="string" size="8" encoding="base64"><![CDATA[c3ZldGxhbmE=]]></property><property name="WINDOWID" fullname="$_SERVER[&#39;WINDOWID&#39;]" address="140731198854336" type="string" size="8" encoding="base64"><![CDATA[MzU2NTE1ODk=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" address="140731198854536" type="string" size="27" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLVFyQUFqYi9ncGc6MDox]]></property><property name="_" fullname="$_SERVER[&#39;_&#39;]" address="140731198855248" type="string" size="9" encoding="base64"><![CDATA[Li9pZGVhLnNo]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" address="140731198855432" type="string" size="23" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLVFyQUFqYi9zc2g=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" address="140731198855616" type="string" size="2" encoding="base64"><![CDATA[Ljo=]]></property><property name="OLDPWD" fullname="$_SERVER[&#39;OLDPWD&#39;]" address="140731198855800" type="string" size="14" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmE=]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" address="140731198856040" type="string" size="72" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtc1JxMEk0czJDbCxndWlkPTU1N2RmYmExOGJlMWU1NmRhYWRiNjY3NTAwMDAwMDEz]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" address="140731198856240" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_CTYPE" fullname="$_SERVER[&#39;LC_CTYPE&#39;]" address="140731198856416" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" address="140731198856600" type="string" size="8" encoding="base64"><![CDATA[ZW5fVVM6ZW4=]]></property><property name="CLASSPATH" fullname="$_SERVER[&#39;CLASSPATH&#39;]" address="140731198856952" type="string" size="180" encoding="base64"><![CDATA[Li8uLi9saWIvYm9vdHN0cmFwLmphcjouLy4uL2xpYi9leHRlbnNpb25zLmphcjouLy4uL2xpYi91dGlsLmphcjouLy4uL2xpYi9qZG9tLmphcjouLy4uL2xpYi9sb2c0ai5qYXI6Li8uLi9saWIvdHJvdmU0ai5qYXI6Li8uLi9saWIvam5hLmphcjovdXNyL2xpYi9qdm0vamF2YS03LW9yYWNsZS9saWIvdG9vbHMuamFy]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" address="140731198857136" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtY2xhc3NpYw==]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" address="140731198857320" type="string" size="4" encoding="base64"><![CDATA[OjAuMA==]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" address="140731198857496" type="string" size="8" encoding="base64"><![CDATA[c3ZldGxhbmE=]]></property><property name="UBUNTU_MENUPROXY" fullname="$_SERVER[&#39;UBUNTU_MENUPROXY&#39;]" address="140731198857672" type="string" size="13" encoding="base64"><![CDATA[bGliYXBwbWVudS5zbw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" address="140731198857864" type="string" size="14" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmE=]]></property><property name="LESSOPEN" fullname="$_SERVER[&#39;LESSOPEN&#39;]" address="140731198858048" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" address="140731198858264" type="string" size="43" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS1jbGFzc2ljLmRlZmF1bHQucGF0aA==]]></property><property name="LS_COLORS" fullname="$_SERVER[&#39;LS_COLORS&#39;]" address="140731198859688" type="string" size="1253" encoding="base64"><![CDATA[cnM9MDpkaT0wMTszNDpsbj0wMTszNjptaD0wMDpwaT00MDszMzpzbz0wMTszNTpkbz0wMTszNTpiZD00MDszMzswMTpjZD00MDszMzswMTpvcj00MDszMTswMTpzdT0zNzs0MTpzZz0zMDs0MzpjYT0zMDs0MTp0dz0zMDs0Mjpvdz0zNDs0MjpzdD0zNzs0NDpleD0wMTszMjoqLnRhcj0wMTszMToqLnRnej0wMTszMToqLmFyaj0wMTszMToqLnRhej0wMTszMToqLmx6aD0wMTszMToqLmx6bWE9MDE7MzE6Ki50bHo9MDE7MzE6Ki50eHo9MDE7MzE6Ki56aXA9MDE7MzE6Ki56PTAxOzMxOiouWj0wMTszMToqLmR6PTAxOzMxOiouZ3o9MDE7MzE6Ki5sej0wMTszMToqLnh6PTAxOzMxOiouYnoyPTAxOzMxOiouYno9MDE7MzE6Ki50Yno9MDE7MzE6Ki50YnoyPTAxOzMxOioudHo9MDE7MzE6Ki5kZWI9MDE7MzE6Ki5ycG09MDE7MzE6Ki5qYXI9MDE7MzE6Ki5yYXI9MDE7MzE6Ki5hY2U9MDE7MzE6Ki56b289MDE7MzE6Ki5jcGlvPTAxOzMxOiouN3o9MDE7MzE6Ki5yej0wMTszMToqLmpwZz0wMTszNToqLmpwZWc9MDE7MzU6Ki5naWY9MDE7MzU6Ki5ibXA9MDE7MzU6Ki5wYm09MDE7MzU6Ki5wZ209MDE7MzU6Ki5wcG09MDE7MzU6Ki50Z2E9MDE7MzU6Ki54Ym09MDE7MzU6Ki54cG09MDE7MzU6Ki50aWY9MDE7MzU6Ki50aWZmPTAxOzM1OioucG5nPTAxOzM1Oiouc3ZnPTAxOzM1Oiouc3Znej0wMTszNToqLm1uZz0wMTszNToqLnBjeD0wMTszNToqLm1vdj0wMTszNToqLm1wZz0wMTszNToqLm1wZWc9MDE7MzU6Ki5tMnY9MDE7MzU6Ki5ta3Y9MDE7MzU6Ki5vZ209MDE7MzU6Ki5tcDQ9MDE7MzU6Ki5tNHY9MDE7MzU6Ki5tcDR2PTAxOzM1Oioudm9iPTAxOzM1OioucXQ9MDE7MzU6Ki5udXY9MDE7MzU6Ki53bXY9MDE7MzU6Ki5hc2Y9MDE7MzU6Ki5ybT0wMTszNToqLnJtdmI9MDE7MzU6Ki5mbGM9MDE7MzU6Ki5hdmk9MDE7MzU6Ki5mbGk9MDE7MzU6Ki5mbHY9MDE7MzU6Ki5nbD0wMTszNToqLmRsPTAxOzM1OioueGNmPTAxOzM1OioueHdkPTAxOzM1OioueXV2PTAxOzM1OiouY2dtPTAxOzM1OiouZW1mPTAxOzM1Og==]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" address="140731198859872" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="140731198860464" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="140731198860928" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="140731198861392" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" address="140731198861856" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="140731198862224" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="140731198862376" type="float"><![CDATA[1397484019.5052]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="140731198862536" type="int"><![CDATA[1397484019]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" address="140731198846344" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" address="140731198846776" type="int"><![CDATA[1]]></property></property><property name="$GLOBALS" fullname="$GLOBALS" address="140731198862968" type="array" children="1" numchildren="11" page="0" pagesize="100"><property name="_GET" fullname="$GLOBALS[&#39;_GET&#39;]" address="140731198844920" type="array" children="0" numchildren="0"></property><property name="_POST" fullname="$GLOBALS[&#39;_POST&#39;]" address="140731198845672" type="array" children="0" numchildren="0"></property><property name="_COOKIE" fullname="$GLOBALS[&#39;_COOKIE&#39;]" address="140731198845896" type="array" children="0" numchildren="0"></property><property name="_FILES" fullname="$GLOBALS[&#39;_FILES&#39;]" address="140731198846120" type="array" children="0" numchildren="0"></property><property name="argv" fullname="$GLOBALS[&#39;argv&#39;]" address="140731198846344" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$GLOBALS[&#39;argc&#39;]" address="140731198846776" type="int"><![CDATA[1]]></property><property name="_ENV" fullname="$GLOBALS[&#39;_ENV&#39;]" address="140731198847016" type="array" children="0" numchildren="0"></property><property name="_REQUEST" fullname="$GLOBALS[&#39;_REQUEST&#39;]" address="140731198847240" type="array" children="0" numchildren="0"></property><property name="_SERVER" fullname="$GLOBALS[&#39;_SERVER&#39;]" address="140731198847464" type="array" children="1" numchildren="60"></property><property name="GLOBALS" fullname="$GLOBALS[&#39;GLOBALS&#39;]" address="140731198862968" type="array" children="1" recursive="1"></property><property name="CACHE" fullname="$GLOBALS[&#39;CACHE&#39;]" address="140731198873448" type="string" size="1025" encoding="base64"><![CDATA[bGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbA==]]></property></property></response>

<- property_value -i 14 -d 0 -c 1 -n $GLOBALS['CACHE'] -p 0 -m 1025
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_value" transaction_id="14" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

<- run -i 15
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="15" status="break" reason="ok"><xdebug:message filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="11"></xdebug:message></response>

<- stack_get -i 16
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="16"><stack where="{main}" level="0" type="file" filename="file:///home/svetlana/PhpstormProjects/debug/property_value/4.php" lineno="11"></stack></response>

<- context_names -i 17 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="17"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 18 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="18" context="0"><property name="$CACHE" fullname="$CACHE" address="140731198873448" type="string" size="1025" encoding="base64"><![CDATA[bGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbA==]]></property></response>

<- context_get -i 19 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="140731198845896" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" address="140731198847016" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="140731198846120" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="140731198844920" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="140731198845672" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="140731198847240" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="140731198847464" type="array" children="1" numchildren="60" page="0" pagesize="100"><property name="TERM" fullname="$_SERVER[&#39;TERM&#39;]" address="140731198847632" type="string" size="5" encoding="base64"><![CDATA[eHRlcm0=]]></property><property name="XDG_SESSION_PATH" fullname="$_SERVER[&#39;XDG_SESSION_PATH&#39;]" address="140731198847920" type="string" size="40" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZXNzaW9uMA==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER[&#39;SSH_AGENT_PID&#39;]" address="140731198848112" type="string" size="4" encoding="base64"><![CDATA[MTUzMQ==]]></property><property name="LESSCLOSE" fullname="$_SERVER[&#39;LESSCLOSE&#39;]" address="140731198848304" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" address="140731198848544" type="string" size="69" encoding="base64"><![CDATA[bG9jYWwvVU5JVC00NjM6QC90bXAvLklDRS11bml4LzE0OTcsdW5peC9VTklULTQ2MzovdG1wLy5JQ0UtdW5peC8xNDk3]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" address="140731198848736" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" address="140731198848960" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="XDG_SESSION_COOKIE" fullname="$_SERVER[&#39;XDG_SESSION_COOKIE&#39;]" address="140731198849192" type="string" size="60" encoding="base64"><![CDATA[NDQ2MDZjYzA1YTQ1N2U5ZmNmZTM2NjYwMDAwMDA0NWMtMTM5NzEwOTQwNy4zOTI2ODItMzU4MTQ0NDI4]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" address="140731198849384" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtY2xhc3NpYw==]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" address="140731198849744" type="string" size="45" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS1jbGFzc2ljLm1hbmRhdG9yeS5wYXRo]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" address="140731198849952" type="string" size="39" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvaWRlYS9pZGVhLUlVLTEzNC45OTIvYmlu]]></property><property name="PHP_ENVS" fullname="$_SERVER[&#39;PHP_ENVS&#39;]" address="140731198850128" type="string" size="8" encoding="base64"><![CDATA[L3Vzci9iaW4=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" address="140731198850328" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="140731198850592" type="string" size="96" encoding="base64"><![CDATA[L3Vzci9saWIvbGlnaHRkbS9saWdodGRtOi91c3IvbG9jYWwvc2JpbjovdXNyL2xvY2FsL2JpbjovdXNyL3NiaW46L3Vzci9iaW46L3NiaW46L2JpbjovdXNyL2dhbWVz]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" address="140731198850768" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" address="140731198850984" type="string" size="35" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lLWNsYXNzaWM6L2V0Yy94ZGc=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" address="140731198851168" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE4NjEz]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" address="140731198851640" type="string" size="26" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvLlhhdXRob3JpdHk=]]></property><property name="XDG_SEAT_PATH" fullname="$_SERVER[&#39;XDG_SEAT_PATH&#39;]" address="140731198851848" type="string" size="37" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZWF0MA==]]></property><property name="USERNAME" fullname="$_SERVER[&#39;USERNAME&#39;]" address="140731198852032" type="string" size="8" encoding="base64"><![CDATA[c3ZldGxhbmE=]]></property><property name="LC_COLLATE" fullname="$_SERVER[&#39;LC_COLLATE&#39;]" address="140731198852216" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PHP_ENV_XDEBUG" fullname="$_SERVER[&#39;PHP_ENV_XDEBUG&#39;]" address="140731198852400" type="string" size="14" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9iaW4=]]></property><property name="GTK_MODULES" fullname="$_SERVER[&#39;GTK_MODULES&#39;]" address="140731198852608" type="string" size="39" encoding="base64"><![CDATA[Y2FuYmVycmEtZ3RrLW1vZHVsZTpjYW5iZXJyYS1ndGstbW9kdWxl]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" address="140731198852800" type="string" size="19" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLVFyQUFqYg==]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" address="140731198852992" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" address="140731198853184" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="COLORTERM" fullname="$_SERVER[&#39;COLORTERM&#39;]" address="140731198853368" type="string" size="14" encoding="base64"><![CDATA[Z25vbWUtdGVybWluYWw=]]></property><property name="LC_MESSAGES" fullname="$_SERVER[&#39;LC_MESSAGES&#39;]" address="140731198853552" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" address="140731198853792" type="string" size="71" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZS1jbGFzc2ljOi91c3Ivc2hhcmUvZ25vbWU6L3Vzci9sb2NhbC9zaGFyZS86L3Vzci9zaGFyZS8=]]></property><property name="PHP_ENV_ZEND" fullname="$_SERVER[&#39;PHP_ENV_ZEND&#39;]" address="140731198853976" type="string" size="8" encoding="base64"><![CDATA[L3Vzci9iaW4=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" address="140731198854160" type="string" size="8" encoding="base64"><![CDATA[c3ZldGxhbmE=]]></property><property name="WINDOWID" fullname="$_SERVER[&#39;WINDOWID&#39;]" address="140731198854336" type="string" size="8" encoding="base64"><![CDATA[MzU2NTE1ODk=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" address="140731198854536" type="string" size="27" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLVFyQUFqYi9ncGc6MDox]]></property><property name="_" fullname="$_SERVER[&#39;_&#39;]" address="140731198855248" type="string" size="9" encoding="base64"><![CDATA[Li9pZGVhLnNo]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" address="140731198855432" type="string" size="23" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLVFyQUFqYi9zc2g=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" address="140731198855616" type="string" size="2" encoding="base64"><![CDATA[Ljo=]]></property><property name="OLDPWD" fullname="$_SERVER[&#39;OLDPWD&#39;]" address="140731198855800" type="string" size="14" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmE=]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" address="140731198856040" type="string" size="72" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtc1JxMEk0czJDbCxndWlkPTU1N2RmYmExOGJlMWU1NmRhYWRiNjY3NTAwMDAwMDEz]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" address="140731198856240" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_CTYPE" fullname="$_SERVER[&#39;LC_CTYPE&#39;]" address="140731198856416" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" address="140731198856600" type="string" size="8" encoding="base64"><![CDATA[ZW5fVVM6ZW4=]]></property><property name="CLASSPATH" fullname="$_SERVER[&#39;CLASSPATH&#39;]" address="140731198856952" type="string" size="180" encoding="base64"><![CDATA[Li8uLi9saWIvYm9vdHN0cmFwLmphcjouLy4uL2xpYi9leHRlbnNpb25zLmphcjouLy4uL2xpYi91dGlsLmphcjouLy4uL2xpYi9qZG9tLmphcjouLy4uL2xpYi9sb2c0ai5qYXI6Li8uLi9saWIvdHJvdmU0ai5qYXI6Li8uLi9saWIvam5hLmphcjovdXNyL2xpYi9qdm0vamF2YS03LW9yYWNsZS9saWIvdG9vbHMuamFy]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" address="140731198857136" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtY2xhc3NpYw==]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" address="140731198857320" type="string" size="4" encoding="base64"><![CDATA[OjAuMA==]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" address="140731198857496" type="string" size="8" encoding="base64"><![CDATA[c3ZldGxhbmE=]]></property><property name="UBUNTU_MENUPROXY" fullname="$_SERVER[&#39;UBUNTU_MENUPROXY&#39;]" address="140731198857672" type="string" size="13" encoding="base64"><![CDATA[bGliYXBwbWVudS5zbw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" address="140731198857864" type="string" size="14" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmE=]]></property><property name="LESSOPEN" fullname="$_SERVER[&#39;LESSOPEN&#39;]" address="140731198858048" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" address="140731198858264" type="string" size="43" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS1jbGFzc2ljLmRlZmF1bHQucGF0aA==]]></property><property name="LS_COLORS" fullname="$_SERVER[&#39;LS_COLORS&#39;]" address="140731198859688" type="string" size="1253" encoding="base64"><![CDATA[cnM9MDpkaT0wMTszNDpsbj0wMTszNjptaD0wMDpwaT00MDszMzpzbz0wMTszNTpkbz0wMTszNTpiZD00MDszMzswMTpjZD00MDszMzswMTpvcj00MDszMTswMTpzdT0zNzs0MTpzZz0zMDs0MzpjYT0zMDs0MTp0dz0zMDs0Mjpvdz0zNDs0MjpzdD0zNzs0NDpleD0wMTszMjoqLnRhcj0wMTszMToqLnRnej0wMTszMToqLmFyaj0wMTszMToqLnRhej0wMTszMToqLmx6aD0wMTszMToqLmx6bWE9MDE7MzE6Ki50bHo9MDE7MzE6Ki50eHo9MDE7MzE6Ki56aXA9MDE7MzE6Ki56PTAxOzMxOiouWj0wMTszMToqLmR6PTAxOzMxOiouZ3o9MDE7MzE6Ki5sej0wMTszMToqLnh6PTAxOzMxOiouYnoyPTAxOzMxOiouYno9MDE7MzE6Ki50Yno9MDE7MzE6Ki50YnoyPTAxOzMxOioudHo9MDE7MzE6Ki5kZWI9MDE7MzE6Ki5ycG09MDE7MzE6Ki5qYXI9MDE7MzE6Ki5yYXI9MDE7MzE6Ki5hY2U9MDE7MzE6Ki56b289MDE7MzE6Ki5jcGlvPTAxOzMxOiouN3o9MDE7MzE6Ki5yej0wMTszMToqLmpwZz0wMTszNToqLmpwZWc9MDE7MzU6Ki5naWY9MDE7MzU6Ki5ibXA9MDE7MzU6Ki5wYm09MDE7MzU6Ki5wZ209MDE7MzU6Ki5wcG09MDE7MzU6Ki50Z2E9MDE7MzU6Ki54Ym09MDE7MzU6Ki54cG09MDE7MzU6Ki50aWY9MDE7MzU6Ki50aWZmPTAxOzM1OioucG5nPTAxOzM1Oiouc3ZnPTAxOzM1Oiouc3Znej0wMTszNToqLm1uZz0wMTszNToqLnBjeD0wMTszNToqLm1vdj0wMTszNToqLm1wZz0wMTszNToqLm1wZWc9MDE7MzU6Ki5tMnY9MDE7MzU6Ki5ta3Y9MDE7MzU6Ki5vZ209MDE7MzU6Ki5tcDQ9MDE7MzU6Ki5tNHY9MDE7MzU6Ki5tcDR2PTAxOzM1Oioudm9iPTAxOzM1OioucXQ9MDE7MzU6Ki5udXY9MDE7MzU6Ki53bXY9MDE7MzU6Ki5hc2Y9MDE7MzU6Ki5ybT0wMTszNToqLnJtdmI9MDE7MzU6Ki5mbGM9MDE7MzU6Ki5hdmk9MDE7MzU6Ki5mbGk9MDE7MzU6Ki5mbHY9MDE7MzU6Ki5nbD0wMTszNToqLmRsPTAxOzM1OioueGNmPTAxOzM1OioueHdkPTAxOzM1OioueXV2PTAxOzM1OiouY2dtPTAxOzM1OiouZW1mPTAxOzM1Og==]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" address="140731198859872" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="140731198860464" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="140731198860928" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="140731198861392" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" address="140731198861856" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvc3ZldGxhbmEvUGhwc3Rvcm1Qcm9qZWN0cy9kZWJ1Zy9wcm9wZXJ0eV92YWx1ZS80LnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="140731198862224" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="140731198862376" type="float"><![CDATA[1397484019.5052]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="140731198862536" type="int"><![CDATA[1397484019]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" address="140731198846344" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" address="140731198846776" type="int"><![CDATA[1]]></property></property><property name="$GLOBALS" fullname="$GLOBALS" address="140731198862968" type="array" children="1" numchildren="11" page="0" pagesize="100"><property name="_GET" fullname="$GLOBALS[&#39;_GET&#39;]" address="140731198844920" type="array" children="0" numchildren="0"></property><property name="_POST" fullname="$GLOBALS[&#39;_POST&#39;]" address="140731198845672" type="array" children="0" numchildren="0"></property><property name="_COOKIE" fullname="$GLOBALS[&#39;_COOKIE&#39;]" address="140731198845896" type="array" children="0" numchildren="0"></property><property name="_FILES" fullname="$GLOBALS[&#39;_FILES&#39;]" address="140731198846120" type="array" children="0" numchildren="0"></property><property name="argv" fullname="$GLOBALS[&#39;argv&#39;]" address="140731198846344" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$GLOBALS[&#39;argc&#39;]" address="140731198846776" type="int"><![CDATA[1]]></property><property name="_ENV" fullname="$GLOBALS[&#39;_ENV&#39;]" address="140731198847016" type="array" children="0" numchildren="0"></property><property name="_REQUEST" fullname="$GLOBALS[&#39;_REQUEST&#39;]" address="140731198847240" type="array" children="0" numchildren="0"></property><property name="_SERVER" fullname="$GLOBALS[&#39;_SERVER&#39;]" address="140731198847464" type="array" children="1" numchildren="60"></property><property name="GLOBALS" fullname="$GLOBALS[&#39;GLOBALS&#39;]" address="140731198862968" type="array" children="1" recursive="1"></property><property name="CACHE" fullname="$GLOBALS[&#39;CACHE&#39;]" address="140731198873448" type="string" size="1025" encoding="base64"><![CDATA[bGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbA==]]></property></property></response>

<- property_value -i 20 -d 0 -c 1 -n $GLOBALS['CACHE'] -p 0 -m 1025
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_value" transaction_id="20" type="string" size="1025" encoding="base64"><![CDATA[bGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGxsbGs=]]></response>

<- run -i 21
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="21" status="stopping" reason="ok"></response>

<- run -i 22
Log closed at 2014-04-14 14:00:30

global_value_xdebug.log (43,619 bytes)   

derick

2014-05-19 12:07

administrator   ~0002812

There is indeed a bug, or rather, something that is not implemented. The property_value implementation misses support for -c, so it doesn't use the superglobals context. This should be an easy fix though.

Issue History

Date Modified Username Field Change
2014-04-14 14:22 SvetlanaZem New Issue
2014-04-14 14:22 SvetlanaZem File Added: global_value_xdebug.log
2014-05-19 12:07 derick Note Added: 0002812
2014-05-19 12:07 derick Assigned To => derick
2014-05-19 12:07 derick Status new => acknowledged
2014-05-20 00:00 derick Status acknowledged => closed
2014-05-20 00:00 derick Resolution open => fixed
2014-05-20 00:00 derick Fixed in Version => 2.2.6
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)